shibsp::LogoutEvent Class Reference
Inheritance diagram for shibsp::LogoutEvent:
[legend]
Collaboration diagram for shibsp::LogoutEvent:
[legend]

## Public Types

enum | logout_type_t { LOGOUT_EVENT_UNKNOWN , LOGOUT_EVENT_INVALID , LOGOUT_EVENT_LOCAL , LOGOUT_EVENT_GLOBAL , LOGOUT_EVENT_PARTIAL }
| Result of logout (local, global, partial).

## Public Member Functions

| LogoutEvent ()
| Constructor.
const char * | getType () const
| Returns a type string to be used for the log category in the event log.
Public Member Functions inherited from shibsp::TransactionLog::Event
virtual bool | write (std::ostream &out, const char *field, const char *absent) const
| Outputs an event record to a stream based on the defined formatting string.

## Public Attributes

enum shibsp::LogoutEvent::logout_type_t | m_logoutType
const opensaml::saml2p::LogoutRequest * | m_saml2Request
| SAML 2.0 Request.
const opensaml::saml2p::LogoutResponse * | m_saml2Response
| SAML 2.0 Response.
const Session * | m_session
| Primary session associated with event.
std::vector< std::string > | m_sessions
| All sessions associated with event.
Public Attributes inherited from shibsp::TransactionLog::Event
const std::exception * | m_exception
| Exception.
const xmltooling::GenericRequest * | m_request
| Request object associated with event.
const Application * | m_app
| Application object associated with event.
const char * | m_sessionID
| Session identifier.
const opensaml::saml2md::EntityDescriptor * | m_peer
| Peer entity associated with event.
const char * | m_protocol
| Protocol associated with event.
const char * | m_binding
| Protocol binding associated with event.
const opensaml::saml2::NameID * | m_nameID
| SAML 2.0 NameID.

## Additional Inherited Members

Protected Types inherited from shibsp::TransactionLog::Event
typedef bool(* | handler_fn) (const Event &e, std::ostream &)
| Function that handles a formatting token.
Protected Member Functions inherited from shibsp::TransactionLog::Event
| Event ()
| Constructor.
Protected Attributes inherited from shibsp::TransactionLog::Event
std::map< std::string, handler_fn > | m_handlers
| Map of tokens to handlers.

## Member Function Documentation

## getType()

const char * shibsp::LogoutEvent::getType | ( |  | ) | const

virtual

Returns a type string to be used for the log category in the event log.

Returns
  type or category for the event

Implements shibsp::TransactionLog::Event.

The documentation for this class was generated from the following file:

- shibsp/TransactionLog.h